org.apache.fop.render

## Interface RenderingContext

All Known Implementing Classes:
  AbstractRenderingContext, AFPRenderingContext, Java2DRenderingContext, PCLRenderingContext, PDFRenderingContext, PSRenderingContext

    public interface RenderingContext

Implementations of this interface provide context information needed by supporting classes during specific tasks (like image rendering).

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `getHint(Object key)` Returns a hint identified by a key.
`Map` `getHints()` Returns an unmodifiable representation of all hints.
`String` `getMimeType()` Returns the MIME type associated with the current output format.
`FOUserAgent` `getUserAgent()` Returns the user agent.
`void` `putHint(Object key, Object value)` Sets an additional hint, overriding an existing hint.
`void` `putHints(Map additionalHints)` Adds additional hints to the existing hints, overriding existing hints.

### Method Detail

#### getMimeType

    String getMimeType()

Returns the MIME type associated with the current output format.

Returns:
  the MIME type (ex. application/pdf)

#### getUserAgent

    FOUserAgent getUserAgent()

Returns the user agent. The user agent is used to access configuration and other information for the rendering process.

Returns:
  the user agent

#### putHints

    void putHints(Map additionalHints)

Adds additional hints to the existing hints, overriding existing hints.

Parameters:
  `additionalHints` - a map of additional hints

#### putHint

    void putHint(Object key,
                 Object value)

Sets an additional hint, overriding an existing hint.

Parameters:
  `key` - the key
  `value` - the value

#### getHints

    Map getHints()

Returns an unmodifiable representation of all hints.

Returns:
  the hints

#### getHint

    Object getHint(Object key)

Returns a hint identified by a key.

Parameters:
  `key` - the key
Returns:
  the hint or null if no hint with the given key could be found